import pathlib
from unittest.mock import patch

from yamily._cli import _dot


@patch("sys.argv", ["", "persons"])
def test__dot_recurse_dir(capsys):
    _dot()
    out, err = capsys.readouterr()
    assert not err
    assert out == pathlib.Path("persons").joinpath("digraph.gz").read_text()
